> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.coperniq.io/api-reference/notes/list-project-notes/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.coperniq.io/_mcp/server. # List Project Notes GET https://api.coperniq.io/v1/projects/{project_id}/notes Retrieve notes for a specific project **Note:** The `/projects/{project_id}/comments` path will continue to work until users are individually notified and migrated to the new naming. Reference: https://docs.coperniq.io/api-reference/notes/list-project-notes ## Authentication - `x-api-key` header (required) — API Key authentication via header ## Request ### Path parameters - `project_id` (integer, required) — Project identifier ## Response ### 200 List of notes - `notes` (list of NoteListItem, optional) - `totalCount` (integer, optional) ## Errors ### 401 Unauthorized Error Authentication failed - `message` (string, optional) - `code` (enum, optional) - Allowed values: `NOT_FOUND` ### 404 Not Found Error Resource not found - `message` (string, optional) - `code` (enum, optional) - Allowed values: `NOT_FOUND` ## Types ### NoteListItem - `id` (integer, optional) - `note` (string, optional) - `createdByUser` (NoteListItemCreatedByUser, optional) - `createdAt` (string, optional) ### NoteListItemCreatedByUser - `id` (integer, optional) - `firstName` (string, optional) - `lastName` (string, optional) - `email` (string, optional) ## Examples **Response** ```json { "notes": [ { "id": 1, "note": "string", "createdByUser": { "id": 1, "firstName": "string", "lastName": "string", "email": "string" }, "createdAt": "2024-01-15T09:30:00Z" } ], "totalCount": 1 } ``` **SDK Code** ```python import requests url = "https://api.coperniq.io/v1/projects/1/notes" headers = {"x-api-key": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.coperniq.io/v1/projects/1/notes'; const options = {method: 'GET', headers: {'x-api-key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.coperniq.io/v1/projects/1/notes" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.coperniq.io/v1/projects/1/notes") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.coperniq.io/v1/projects/1/notes") .header("x-api-key", "") .asString(); ``` ```php request('GET', 'https://api.coperniq.io/v1/projects/1/notes', [ 'headers' => [ 'x-api-key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.coperniq.io/v1/projects/1/notes"); var request = new RestRequest(Method.GET); request.AddHeader("x-api-key", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["x-api-key": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.coperniq.io/v1/projects/1/notes")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Official Coperniq API documentation. Build integrations for solar and construction project management — projects, opportunities, work orders, invoices, webhooks, and more.